Ruby: Data Fields - Variables

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

### - b -

- b : A, BigStruct, C, C_block, cls_struct_12byte, cls_struct_16byte1, cls_struct_16byte, cls_struct_18byte, cls_struct_19byte, cls_struct_20byte, cls_struct_24byte, cls_struct_2byte, cls_struct_3_1byte, cls_struct_3byte, cls_struct_3byte_1, cls_struct_4_1byte, cls_struct_4byte, cls_struct_5byte, cls_struct_64byte, cls_struct_6byte, cls_struct_7byte, cls_struct_8byte, cls_struct_9byte, cls_struct_align, cls_struct_combined, ibf_object_complex_rational, large_tag, my_ffi_struct, small_tag, struct_108byte, struct_116byte, struct_72byte
- b32 : C_block
- b_x : B
- b_y : B
- back : inflate_state, log
- back_alloc : NameEntry
- back_dynamic : BRefNode
- back_num : BRefNode, NameEntry
- back_ref1 : NameEntry
- back_refs : NameEntry
- back_static : BRefNode
- backp : OnigToken
- backref : OnigToken, vm_svar
- backrefed_mem : ScanEnv
- backtrace : rb_backtrace_struct, rb_debug_inspector_struct
- backtrace_size : rb_backtrace_struct, rb_debug_inspector_struct
- barrier_cnt : rb_vm_struct
- barrier_cond : rb_vm_struct
- barrier_wait_cond : rb_ractor_struct
- barrier_waiting : rb_vm_struct
- base : _Node, AnchorNode, big2str_struct, BRefNode, CallNode, CClassNode, ConsAltNode, coroutine_context, CtypeNode, EncloseNode, fiber_pool_allocation, fiber_pool_stack, glob_args, malloc_segment, OnigToken, push_glob0_args, QtfrNode, rb_encoding_entry, rb_printf_buffer_extra, rb_random_mt_t, StrNode
- base_enc : search_path_bfs_t
- base_encoding : nkf_encoding
- base_label : rb_iseq_location_struct
- basefd : opendir_at_arg
- baselen : glob_args, push_glob_args
- basic : cfunc_proc_t, RArray, RBignum, RClass, RComplex, RData, RFile, RFloat, RHash, RMatch, RObject, RRational, RRegexp, RString, RStruct, RSymbol, RTypedData, RVALUE, RZombie
- baskets : rb_ractor_queue
- bb : BigStruct
- bbuffer : RMD160_CTX
- before_sweep : heap_page
- beg : ibf_object_struct_range, re_registers, rmatch_offset, token_info
- beg_pos : rb_code_location_struct
- begin : ensure_range, rb_arithmetic_sequence_components_t
- begin_pos : zip64_internal
- behavior : OnigSyntaxType
- best_len : OnigMatchArg
- best_s : OnigMatchArg
- bhfi : w32_io_info_t
- bi_buf : internal_state
- bi_valid : internal_state
- bignum : RVALUE
- bin : builtin_binary
- bin_power : st_features, st_table
- bin_size : builtin_binary
- binmode : argf
- bins : st_table
- bins_words : st_features
- bitbuf : state
- bitcnt : state
- bitcount : _SHA256_CTX, _SHA512_CTX
- bits : code, DIR, inflate_state, point
- bits_start : rb_iseq_constant_body
- bk : malloc_chunk, malloc_tree_chunk
- bl_count : internal_state
- bl_desc : internal_state
- bl_tree : internal_state
- block : rb_binding_t, rb_proc_t
- block_arg : rb_args_info
- block_code : rb_control_frame_struct
- block_given : enum_sum_memo, transform_keys_args
- block_handler : rb_calling_info
- block_len : rb_digest_metadata_t
- block_start : internal_state, rb_iseq_constant_body
- block_trace : rb_global_variable
- blocking : rb_fiber_struct, rb_thread_struct
- blocking_cnt : rb_ractor_struct, rb_vm_struct
- blocking_region_buffer : rb_thread_struct
- bmethod : rb_method_definition_struct
- body : rb_ast_struct, rb_backtrace_location_struct, rb_iseq_constant_body::iseq_insn_info, rb_iseq_struct, rb_method_definition_struct
- brace_nest : parser_params
- bref : _Node
- broken_buf : nkf_state_t
- broken_state : nkf_state_t
- bs : CClassNode
- bt : bt_iter_arg
- bt_mem_end : re_pattern_buffer, ScanEnv
- bt_mem_start : re_pattern_buffer, ScanEnv
- btobj : bt_iter_arg, valued_frame_info
- buf : add_option_arg, bin, DOUBLE_SWAPPER, file, FLOAT_SWAPPER, input_code, io_internal_read_struct, io_internal_write_struct, load_arg, nmin_data, node_buffer_elem_struct, rb_vm_tag, recvfrom_arg, sip_state, sort_by_data, StrNode, zstream
- buff : ibf_load_buffer, iseq_compile_data_storage
- buffer : _SHA256_CTX, _SHA512_CTX, dump_config, hash_foreach_arg, md5_state_s, pinned_list, SHA1_CTX, tar_buffer
- buffer_initial_length : JSON_Generator_StateStruct
- buffer_len : dump_config
- buffered_data : curfile64_info
- buflen : load_arg, RMD160_CTX, sip_state, spawn_args
- bufmax : nmin_data
- builtin_function_table : iseq_compile_data, rb_vm_struct
- builtin_inline_index : rb_vm_struct
- builtin_inline_p : rb_iseq_constant_body
- by : nmin_data
- by_name : OnigToken
- byte_array : rb_transcoder
- byte_array_length : rb_transcoder
- byte_before_the_zipfile : file_in_zip64_read_info_s, unz64_s
- byte_len : OnigCaseFoldCodeItem
- byte_pos : pair_t
- byte_size : rb_memory_view_t
- bytesequence : bytesequence4_or_float